import config
from entity import ArmedEntity

class Player(ArmedEntity):
    @property
    def pilot_name(self):
        if self.is_ghost:
            return self.ghostdata.get('pilot', 'Anonymous')
        else:
            return config.username

    def is_dead(self):
        return False
    
    def hit(self, other):
        self.collided_flag = True
        super(Player, self).hit(other)
        
    def hit_by(self, other):
        self.collided_flag = True
        super(Player, self).hit_by(other)