import random
import pyglet

import data

import config
from common import *
from constants import *

class Sound(object):
    def __init__(self, *names):
        self.names = names
    def __call__(self):
        if config.sound:
            sound = random.choice(self.names)
            source = data.load_sound(sound)
            return source.play()


lowbeep = Sound("LowBeep.wav")
highbeep = Sound("HighBeep.wav")
bounce = Sound("Bounce.wav")
